OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros
effectvehicle_base.h File Reference

Base class for all effect vehicles. More...

`#include "vehicle_base.h"`
`#include "transparency.h"`

Go to the source code of this file.

## Data Structures
struct | EffectVehicle
| A special vehicle is one of the following: More...

## Macros
#define | FOR_ALL_EFFECTVEHICLES(var) FOR_ALL_VEHICLES_OF_TYPE(EffectVehicle, var)
| Iterate over disaster vehicles.

## Detailed Description

Base class for all effect vehicles.

Definition in file effectvehicle_base.h.

## Macro Definition Documentation

#define FOR_ALL_EFFECTVEHICLES | ( |  | var | ) | FOR_ALL_VEHICLES_OF_TYPE(EffectVehicle, var)

Iterate over disaster vehicles.

Parameters

  var | The variable used to iterate over.

Definition at line 44 of file effectvehicle_base.h.

Referenced by RemoveRoad().